using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("变化识别评估表")]
    public class T_PR_CHANGE_IDENTIFY_EVALUATION : MesEntityBase
    {
        [Description("编号")]
        public string CODE { get; set; }

        [Description("发起时间")]
        public DateTime? TIME { get; set; }
        [Description("发起人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("发起人员")]
        public virtual T_FM_USER Nav_User { get; set; }

        [Description("发起部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("发起部门")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }

        [Description("变化类型")]
        public ICollection<T_PR_CHANGE_IDENTIFY_EVALUATION_TYPE> Nav_Types { get; set; }

        [Description("变化描述")]
        public string DESCRIPTION { get; set; }
        [Description("变化带来的风险")]
        public string RISK { get; set; }

        [Description("变化后执行任务")]
        public ICollection<T_PR_CHANGE_IDENTIFY_EVALUATION_TASK> Nav_Tasks { get; set; }

        [Description("状态")]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }
    }
}
